MAXScript Language Reference > 3ds Max Objects > Node : MAXWrapper > Node Subclasses > GeometryClass : Node > Geometry - Extended Objects >

# Hedra : GeometryClass

    Hedra - superclass: GeometryClass; super-superclass:node - classID: #(-233021917, 0)

Value > MAXWrapper > Node > GeometryClass > Hedra

| Geometry Objects - Quick Navigation

Constructor:

    hedra...

Properties:

    <Hedra>.family Integer default: 0

Sets the type of polyhedron to create:

0-Tetra (Creates a tetrahedron)

1-Cube/Octa (Creates a cubic or octahedral polyhedron, depending on parameter settings.)

2-Dodec/Icos (Creates a dodecahedron or icosahedron, depending on parameter settings.)

3-Star1 (Creates a star-like polyhedra.)

4-Star2 (Creates a different star-like polyhedra.)

    <Hedra>.p Float default: 0.0 -- animatable, alias: Q_Value
    <Hedra>.q Float default: 0.0 -- animatable, alias: P_Value

Interrelated parameters that provide a two-way translation between the vertices and facets of a polyhedron. They share the following:

- Range of possible values is 0.0 through 1.0.

- The combined total of the P and Q values can be equal to or less than 1.0.

- Extremes occur if either P or Q is set to 1.0; the other is automatically set to 0.0.

- Midpoint occurs when both P and Q are 0.

In the simplest terms, P and Q change the geometry back and forth between vertices and facets. At the extreme settings for P and Q, one parameter represents all vertices, the other represents all facets. Intermediate settings are transition points, with the midpoint an even balance between the two parameters.

    <Hedra>.scalep Float default: 1.0 -- animatable

Controls the axis of reflection for the p facet of a polyhedron.

    <Hedra>.scaleq Float default: 1.0 -- animatable

Controls the axis of reflection for the q facet of a polyhedron.

    <Hedra>.scaler Float default: 1.0 -- animatable

Controls the axis of reflection for the r facets of a polyhedron.

    <Hedra>.P_Scale Float default: 100.0

Controls the axis of reflection for the p facet of a polyhedron.

    <Hedra>.Q_Scale Float default: 100.0

Controls the axis of reflection for the q facet of a polyhedron.

    <Hedra>.R_Scale Float default: 100.0

Controls the axis of reflection for the r facets of a polyhedron.

    <Hedra>.vertices Integer default: 0 -- alias: vertType

Sets the internal geometry of each facet of the polyhedron:

0-Basic (Facets are not subdivided beyond the minimum.)

1-Center (Each facet is subdivided by placing an additional vertex at its center, with edges from each center point to the facet corners.)

2-Center & Sides (Each facet is subdivided by placing an additional vertex at its center, with edges from each center point to the facet corners, as well as to the center of each edge. Compared to Center, Center & Sides doubles the number of faces in the polyhedron.)

    <Hedra>.radius Float default: 25.0 -- animatable

The radius of any polyhedron in current units.

    <Hedra>.mapCoords Boolean default: false

When on, sets up required coordinates for applying mapped materials to the hedra.

Note

The ( scalep , scaleq , scaler ) and ( P_Scale , Q_Scale , R_Scale ) sets of scale parameters are aliases of each other, except that the first set is stored as fractions, and the second set is stored as percentages. This second set of parameters are those shown in the command panels and in Track View.

Note

In order to access the vertices property for hedra, you need to access the property via the baseobject property of the node. This is because vertices is also a property name for all nodes, and conflicts with the hedra's vertices property.

EXAMPLE
    MyHedra.baseobject.vertices=1-- set Vertices option to Center

#### See Also

- GeometryClass Common Properties, Operators, and Methods

- Node Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods